%global plugin_name ace-editor

Summary:    Allows you to use Ace Editor in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    1.1
Release:    1%{?dist}
License:    MIT
URL:        https://github.com/jenkinsci/js-libs/tree/master/ace-editor
# AltURL:   https://wiki.jenkins-ci.org/display/JENKINS/Ace+Editor+Plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.580.1

%description
This plugin allows you to use Ace Editor in Jenkins.

Ace is an embeddable code editor written in JavaScript. 
It matches the features and performance of native editors 
such as Sublime, Vim and TextMate.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.1-1
- Initial package
